XMonad.Prompt

# Usage

mkXPrompt

mkXPromptWithReturn

amberXPConfig

defaultXPConfig

greenXPConfig

data XPType

data XPPosition

data XPConfig

class XPrompt t

type XP

defaultXPKeymap

quit

killBefore

killAfter

startOfLine

endOfLine

pasteString

moveCursor

setInput

getInput

moveWord

killWord

deleteString

moveHistory

setSuccess

setDone

data Direction1D

type ComplFunction

# X Utilities

mkUnmanagedWindow

fillDrawable

# Other Utilities

mkComplFunFromList

mkComplFunFromList'

# `nextCompletion` implementations

getNextOfLastWord

getNextCompletion

# List utilities

getLastWord

skipLastWord

splitInSubListsAt

breakAtSpace

uniqSort

historyCompletion

historyCompletionP

# History filters

deleteAllDuplicates

deleteConsecutive

data HistoryMatches

initMatches

historyUpMatching

historyDownMatching

# Types

data XPState